Appearance
Stored only in your browser. Get one under Tokens.
Get steps summary of the the given trail.
GET
/trails/{id}/summary
Get steps summary of the the given trail.
For user accounts querying this will return the list of steps that are not
DONE or in error state.
For device accounts querying this will return the list of unconfirmed steps.
Devices confirm a step by posting a walk element matching the rev.
This conveyes that the devices knows about the step to go and will keep the
post updates to the walk elements as they go.
Authorizations
ApiKeyAuth
Type
API Key (header: Authorization)
Parameters
Path Parameters
id*
ID|NICK|PRN
Type
Requiredstring
Responses
OK
application/json
JSON "device": "string", "device-nick": "string", "deviceid": "string", "fleet-group": "string", "fleet-location": "string", "fleet-model": "string", "fleet-rev": "string", "progress": 0, "progress-revision": 0, "progress-time": "string", "public": true, "real-ip": "string", "revision": 0, "state-sha": "string", "status": "string", "status-msg": "string", "step-time": "string", "timestamp": "string", "trail-touched-time": "string"
{
}